=== debian/changelog ===
libzypp (16.4.3-1) unstable; urgency=medium

  * New upstream version.
  * Drop 2001_fix-repo2solv-call-on-Debian.patch . No longer needed.
  * Add 1003-Add-support-for-openssl-1.1.patch for newer openssl
    versions.
  * Add myself as a uploader.
  * Bump Standards to 3.9.8. No changes needed.

 -- Thomas Bechtold <toabctl@debian.org>  Mon, 20 Feb 2017 14:15:34 -0500
