=== debian/control ===
Source: libzypp
Section: libs
Maintainer: Mike Gabriel <sunweaver@debian.org>
Uploaders: Thomas Bechtold <toabctl@debian.org>
Priority: extra
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
               cdbs,
               cmake,
               pkg-config,
               librpm-dev,
               rpm-common,
               libboost-dev,
               libboost-program-options-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libssl-dev,
               doxygen,
               ruby,
               libudev-dev,
               libxml2-dev,
               libcurl4-gnutls-dev,
               libsolv0-dev (>=0.6.10),
               libsolv-tools,
               libexpat-dev,
               libproxy-dev,
               graphviz,
               gnupg2,
Homepage: https://github.com/openSUSE/libzypp
Vcs-Git: git://anonscm.debian.org/collab-maint/libzypp.git
Vcs-Browser: http://anoncms.debian.org/gitweb/?p=collab-maint/libzypp.git

Package: libzypp
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 rpm,
 gnupg | gnupg2,
 libsolv-tools,
Recommends:
 libzypp-common (>= ${source:Version}),
 libzypp-config (>= ${source:Version}),
 libzypp-bin (>= ${source:Version}),
 logrotate,
 lsof,
Description: openSUSE/SLES package management system (library)
 libzypp is the package management library that powers applications like
 YaST, zypper and the openSUSE/SLE implementation of PackageKit.
 .
 libzypp provides all the functionality for a package manager:
 .
   - an API for package repository management, supporting most common
     repository metadata formats and signed repositories
   - an API for solving packages, products, patterns and patches (installation,
     removal, update and distribution upgrade operations) dependencies, with
     additional features like locking
   - an API for comitting the transaction to the system over a rpm target;
     supporting deltarpm calculation, media changing and installation order
     calculation
   - an API for browsing available and installed software, with some facilities
     for programs with an user interface
   - a suite of maintained solving testcases representing common and uncommon
     operations on Linux software management
 .
 This package contains the main shared library for the zypper package
 management system.

Package: libzypp-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libzypp (= ${binary:Version}),
Description: openSUSE/SLES package management system library (debug symbols)
 libzypp is the package management library that powers applications like
 YaST, zypper and the openSUSE/SLE implementation of PackageKit.
 .
 libzypp provides all the functionality for a package manager:
 .
   - an API for package repository management, supporting most common
     repository metadata formats and signed repositories
   - an API for solving packages, products, patterns and patches (installation,
     removal, update and distribution upgrade operations) dependencies, with
     additional features like locking
   - an API for comitting the transaction to the system over a rpm target;
     supporting deltarpm calculation, media changing and installation order
     calculation
   - an API for browsing available and installed software, with some facilities
     for programs with an user interface
   - a suite of maintained solving testcases representing common and uncommon
     operations on Linux software management
 .
 This package contains the debugging symbols for the libzypp library. They are
 installed into /usr/lib/debug and will automatically be used by gdb.

Package: libzypp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libzypp (= ${binary:Version}),
Description: openSUSE/SLES package management system library (development files)
 libzypp is the package management library that powers applications like
 YaST, zypper and the openSUSE/SLE implementation of PackageKit.
 .
 libzypp provides all the functionality for a package manager:
 .
   - an API for package repository management, supporting most common
     repository metadata formats and signed repositories
   - an API for solving packages, products, patterns and patches (installation,
     removal, update and distribution upgrade operations) dependencies, with
     additional features like locking
   - an API for comitting the transaction to the system over a rpm target;
     supporting deltarpm calculation, media changing and installation order
     calculation
   - an API for browsing available and installed software, with some facilities
     for programs with an user interface
   - a suite of maintained solving testcases representing common and uncommon
     operations on Linux software management
 .
 This package contains the development files for the libzypp library.

Package: libzypp-common
Architecture: all
Depends:
 ${misc:Depends},
Description: openSUSE/SLES package management system library (common files)
 libzypp is the package management library that powers applications like
 YaST, zypper and the openSUSE/SLE implementation of PackageKit.
 .
 libzypp provides all the functionality for a package manager:
 .
   - an API for package repository management, supporting most common
     repository metadata formats and signed repositories
   - an API for solving packages, products, patterns and patches (installation,
     removal, update and distribution upgrade operations) dependencies, with
     additional features like locking
   - an API for comitting the transaction to the system over a rpm target;
     supporting deltarpm calculation, media changing and installation order
     calculation
   - an API for browsing available and installed software, with some facilities
     for programs with an user interface
   - a suite of maintained solving testcases representing common and uncommon
     operations on Linux software management
 .
 libzypp is the package management library that powers applications like
 YaST, zypper and the openSUSE/SLE implementation of PackageKit.
 .
 This package contains the architecture-independent files for the libzypp
 library.

Package: libzypp-bin
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libzypp-config (>= ${source:Version}),
Description: openSUSE/SLES package management system library (library tools)
 libzypp is the package management library that powers applications like
 YaST, zypper and the openSUSE/SLE implementation of PackageKit.
 .
 libzypp provides all the functionality for a package manager:
 .
   - an API for package repository management, supporting most common
     repository metadata formats and signed repositories
   - an API for solving packages, products, patterns and patches (installation,
     removal, update and distribution upgrade operations) dependencies, with
     additional features like locking
   - an API for comitting the transaction to the system over a rpm target;
     supporting deltarpm calculation, media changing and installation order
     calculation
   - an API for browsing available and installed software, with some facilities
     for programs with an user interface
   - a suite of maintained solving testcases representing common and uncommon
     operations on Linux software management
 .
 This package contains command line tools shipped with the libzypp library.

Package: libzypp-config
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 libzypp-common (>= ${source:Version}),
Description: openSUSE/SLES package management system library (configuration)
 libzypp is the package management library that powers applications like
 YaST, zypper and the openSUSE/SLE implementation of PackageKit.
 .
 libzypp provides all the functionality for a package manager:
 .
   - an API for package repository management, supporting most common
     repository metadata formats and signed repositories
   - an API for solving packages, products, patterns and patches (installation,
     removal, update and distribution upgrade operations) dependencies, with
     additional features like locking
   - an API for comitting the transaction to the system over a rpm target;
     supporting deltarpm calculation, media changing and installation order
     calculation
   - an API for browsing available and installed software, with some facilities
     for programs with an user interface
   - a suite of maintained solving testcases representing common and uncommon
     operations on Linux software management
 .
 This package ships the configuration files for the libzypp library.

Package: libzypp-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 libjs-jquery,
Suggests:
 libzypp,
 libzypp-dev,
Description: openSUSE/SLES package management system library (documentation)
 libzypp is the package management library that powers applications like
 YaST, zypper and the openSUSE/SLE implementation of PackageKit.
 .
 libzypp provides all the functionality for a package manager:
 .
   - an API for package repository management, supporting most common
     repository metadata formats and signed repositories
   - an API for solving packages, products, patterns and patches (installation,
     removal, update and distribution upgrade operations) dependencies, with
     additional features like locking
   - an API for comitting the transaction to the system over a rpm target;
     supporting deltarpm calculation, media changing and installation order
     calculation
   - an API for browsing available and installed software, with some facilities
     for programs with an user interface
   - a suite of maintained solving testcases representing common and uncommon
     operations on Linux software management
 .
 This package contains the API documentation of the libzypp library.
