## libzypp 17.6.1

=== debian/changelog ===
libzypp (17.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Create orig tarball in ../ rather than in ./.
  * debian/patches:
    + Rebase 1003_various-typo-fixes.patch.
  * debian/copyright:
    + Update auto-generated copyright.in template file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Aug 2018 16:07:46 +0200

libzypp (17.3.1-2) unstable; urgency=medium

  * debian/control: Add all dev:pkgs from B-D under D of libzypp-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 03 Jun 2018 01:13:54 +0200

libzypp (17.3.1-1) unstable; urgency=medium

  * New upstream release (after a long time...).
    - Fixes CVE-2017-7435, CVE-2017-7436, CVE-2017-9269. (Closes: #899065).
    - SONAME version bump by upstream. (Closes: #797867)
    - FTBFS of previous / old-in-Debian version likely solved. (Closes:
      #841769).
  * debian/patches:
    + Drop 1003-Add-support-for-openssl-1.1.patch. Fixed upstream.
    + Rebase 1002_cmake-module-path-fix.patch.
    + Add 1003_various-typo-fixes.patch. Fix some typo flaws in output messages.
  * debian/control:
    + SONAME bump, rename bin:pkg. Use SONAME based bin:pkg names in the first
      place. (Closes: #797869).
    + Add B-D asciidoctor.
    + Add B-D: libgpgme-dev.
    + Update B-D: librpm-dev (>= 4.4).
    + Add B-D: libcurl4-openssl-dev (>= 7.19.4).
    + Update B-D: libsolv0-dev (>= 0.6.27).
    + Add B-Ds: libpopt-dev and dejagnu.
    + Drop Thomas Bechthold from Uploader: field again. (Closes: #892674).
      Thanks for previous contributions.
    + Fix LONG_DESCRIPTION (libzypp-common). Remove duplicated paragraph.
      (Closes: #861995).
    + Set Priority: from extra to optional.
    + Bump Standards-Version: to 4.1.4.
    + Add S (libzypp1702): libzypp-doc. (Closes: #849899).
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Add B:/R: for older libzypp bin:pkg versions.
    + Add B (libzypp(1702): zypper (<< 1.14). We very possibly break zypper
      (<< 1.14).
  * debian/{control,rules}:
    + Enable all hardening flags.
    + Drop manually crafted dbg:package.
  * debian/{control,compat}: Bump to DH compat version level 10.
  * debian/rules:
    + Drop chmod on nofify-message. Not shipped anymore.
    + Provide a writeable home to gnupg. Needed for some unit tests.
    + Stop parsing dpkg-parsechangelog's output.
  * debian/libzypp-bin.install:
    + No files in /usr/lib/zypp anymore.
  * lintian:
    + Drop binary-without-manpage man page override (bin:pkg libzypp-bin). The
      non-documented binaries have been removed by upstream.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
    + Use secure URI for copyright format reference.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 28 May 2018 14:34:46 +0200
