=== debian/control ===
--- 
+++ 
@@ -1,36 +1,40 @@
 Source: libzypp
 Section: libs
 Maintainer: Mike Gabriel <sunweaver@debian.org>
-Uploaders: Thomas Bechtold <toabctl@debian.org>
-Priority: extra
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9),
+Priority: optional
+Standards-Version: 4.1.4
+Build-Depends: asciidoctor,
+               debhelper (>= 10~),
+               dpkg-dev (>= 1.16.1.1~),
                cdbs,
                cmake,
                pkg-config,
-               librpm-dev,
+               librpm-dev (>= 4.4),
                rpm-common,
                libboost-dev,
                libboost-program-options-dev,
                libboost-test-dev,
                libboost-thread-dev,
+               libgpgme-dev,
                libssl-dev,
                doxygen,
                ruby,
+               libcurl4-openssl-dev (>= 7.19.4),
                libudev-dev,
                libxml2-dev,
-               libcurl4-gnutls-dev,
-               libsolv0-dev (>=0.6.10),
+               libsolv0-dev (>= 0.6.27),
                libsolv-tools,
                libexpat-dev,
+               libpopt-dev,
                libproxy-dev,
                graphviz,
                gnupg2,
+               dejagnu,
 Homepage: https://github.com/openSUSE/libzypp
-Vcs-Git: git://anonscm.debian.org/collab-maint/libzypp.git
-Vcs-Browser: http://anoncms.debian.org/gitweb/?p=collab-maint/libzypp.git
-
-Package: libzypp
+Vcs-Git: https://salsa.debian.org/debian/libzypp.git
+Vcs-Browser: https://salsa.debian.org/debian/libzypp
+
+Package: libzypp1702
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
@@ -47,6 +51,13 @@
  libzypp-bin (>= ${source:Version}),
  logrotate,
  lsof,
+Suggests:
+ libzypp-doc (>= ${source:Version}),
+Breaks:
+ libzypp (<< 17),
+ zypper (<< 1.14),
+Replaces:
+ libzypp (<< 17),
 Description: openSUSE/SLES package management system (library)
  libzypp is the package management library that powers applications like
  YaST, zypper and the openSUSE/SLE implementation of PackageKit.
@@ -68,35 +79,6 @@
  .
  This package contains the main shared library for the zypper package
  management system.
-
-Package: libzypp-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends:
- ${misc:Depends},
- libzypp (= ${binary:Version}),
-Description: openSUSE/SLES package management system library (debug symbols)
- libzypp is the package management library that powers applications like
- YaST, zypper and the openSUSE/SLE implementation of PackageKit.
- .
- libzypp provides all the functionality for a package manager:
- .
-   - an API for package repository management, supporting most common
-     repository metadata formats and signed repositories
-   - an API for solving packages, products, patterns and patches (installation,
-     removal, update and distribution upgrade operations) dependencies, with
-     additional features like locking
-   - an API for comitting the transaction to the system over a rpm target;
-     supporting deltarpm calculation, media changing and installation order
-     calculation
-   - an API for browsing available and installed software, with some facilities
-     for programs with an user interface
-   - a suite of maintained solving testcases representing common and uncommon
-     operations on Linux software management
- .
- This package contains the debugging symbols for the libzypp library. They are
- installed into /usr/lib/debug and will automatically be used by gdb.
 
 Package: libzypp-dev
 Section: libdevel
@@ -104,7 +86,21 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libzypp (= ${binary:Version}),
+ librpm-dev (>= 4.4),
+ libboost-dev,
+ libboost-program-options-dev,
+ libboost-test-dev,
+ libboost-thread-dev,
+ libgpgme-dev,
+ libssl-dev,
+ libcurl4-openssl-dev (>= 7.19.4),
+ libudev-dev,
+ libxml2-dev,
+ libsolv0-dev (>= 0.6.27),
+ libexpat-dev,
+ libpopt-dev,
+ libproxy-dev,
+ libzypp1702 (= ${binary:Version}),
 Description: openSUSE/SLES package management system library (development files)
  libzypp is the package management library that powers applications like
  YaST, zypper and the openSUSE/SLE implementation of PackageKit.
@@ -148,9 +144,6 @@
      for programs with an user interface
    - a suite of maintained solving testcases representing common and uncommon
      operations on Linux software management
- .
- libzypp is the package management library that powers applications like
- YaST, zypper and the openSUSE/SLE implementation of PackageKit.
  .
  This package contains the architecture-independent files for the libzypp
  library.
@@ -218,7 +211,7 @@
  ${misc:Depends},
  libjs-jquery,
 Suggests:
- libzypp,
+ libzypp1702,
  libzypp-dev,
 Description: openSUSE/SLES package management system library (documentation)
  libzypp is the package management library that powers applications like
