=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
PKG   = $(DEB_SOURCE)
UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
DTYPE =
VER  ?= $(subst $(DTYPE),,$(UVER))

NULL =

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# assure that gnupg has a writeable home
BUILDHOME = $(CURDIR)/debian/deb_build_home
export HOME=$(BUILDHOME)

pre-build::
	mkdir -p $(BUILDHOME)/.gnupg

include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_BUILD_PARALLEL = 1

DEB_DH_INSTALL_ARGS  += --fail-missing

DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_INSTALL_PREFIX=/usr \
                         -DDOC_INSTALL_DIR=/usr/share/doc \
                         -DLIB=lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH) \
                         -DINCLUDE=include/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH) \
                         -DCMAKE_BUILD_TYPE=Release \
                         -DCMAKE_SKIP_RPATH=FALSE \
                         -DCMAKE_SKIP_RPATH_INSTALL=TRUE \
                         -DUSE_TRANSLATION_SET=${TRANSLATION_SET:-zypp} \
                         -DDEBIAN=1 \
                         $(NULL)

DEB_MAKE_CHECK_TARGET = ctest

DEB_DH_STRIP_ARGS_ALL = --dbgsym-migration='libzypp-dbg (<< 17.1.3~)'

common-install-indep:: remove-cruft tweak-install
common-install-arch:: remove-cruft tweak-install

remove-cruft::
	echo "Nothing to be decrufted..."

tweak-install::
	mv -f $(CURDIR)/debian/tmp/etc/logrotate.d/zypp-history.lr $(CURDIR)/debian/tmp/etc/logrotate.d/zypp-history

get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	    && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
	    || $(RM) -r $(PKG)-$(VER)
#	@echo "# Cleaning-up..."
#	cd $(PKG)-$(VER) \
#	    && find . -depth -type d -name 'windows' -exec $(RM) -r {} \; -printf 'removed %p\n' \
#	    && $(RM) -r -v \
#	        docs/
	$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	    | XZ_OPT="-6v" tar -caf "../$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)"
